Server Support Forum
Openssh 7.5p1 mit libressl 2.6.0

Zurück   Server Support Forum > >


Antwort
 
Themen-Optionen Thema bewerten
  #1  
Alt 26.07.2017, 13:55
REtender REtender ist offline
Registered User
 
Registriert seit: 04.2017
Beiträge: 3
Openssh 7.5p1 mit libressl 2.6.0

Hallo,

Ich versuche Openssh 7.5p1 mit libressl 2.6.0 zu installieren, alleridngs schlägt es immer wieder fehl.

Das Setup ist eine frische Debian Stretch minimal Installation.

Zur Installation verwende ich folgenden Guide:
https://elementaryos.stackexchange.c...h-and-libressl

Libressl installiert er ohne Probleme und zeigt mir mit openssl version auch 2.6.0 an...

Wenn ich nun bei Openssh
Code:
make; sudo checkinstall
ausführe, dann bekomme ich folgenden Fehler:


Code:
========================= Installation results =========================== (cd openbsd-compat && make)

make1: Entering directory '/root/openssh-7.5p1/openbsd-compat'

make1: Nothing to be done for 'all'.

make1: Leaving directory '/root/openssh-7.5p1/openbsd-compat'

[...]

(umask 022 ; ./mkinstalldirs /var/empty) mkdir /var/empty

/usr/bin/install -c -m 0755 -s sshd /usr/local/sbin/sshd

/usr/bin/install -c -m 4711 -s ssh-keysign /usr/local/libexec/ssh-keysign

strip:/usr/local/libexec/ssh-keysign: could not create temporary file to hold stripped copy: No error

/usr/bin/install: strip process terminated abnormally

Makefile:312: recipe for target 'install-files' failed

make: *** [install-files] Error 1

**** Installation failed. Aborting package creation.

Cleaning up...OK
Ich weiß wirklich nicht weiter...

Openssl ist ja auch keine Option, da man Openssh nicht mit der neuen Openssl Versionen kompilieren kann.
Mit Zitat antworten

  #2  
Alt 26.07.2017, 14:51
GwenDragon GwenDragon ist gerade online
Registered User
 
Registriert seit: 12.2008
Ort: Franken
Alter: 57
Beiträge: 2.970
Ein besonderer Grund warum du selbst kompilierst? Oder wolltest du nur was neu lernen?

Kannst ja wenn du mutig bist das Paket https://packages.debian.org/buster/openssh-server (ist 7.5p1) runterladen und manuell erst prüfen, ob du das installieren kannst.
__________________
die Gwen, also die Drachin... nix anderscht!
Mit Zitat antworten
  #3  
Alt 26.07.2017, 14:54
GwenDragon GwenDragon ist gerade online
Registered User
 
Registriert seit: 12.2008
Ort: Franken
Alter: 57
Beiträge: 2.970
crosspost https://serverfault.com/questions/86...libressl-2-6-0
__________________
die Gwen, also die Drachin... nix anderscht!
Mit Zitat antworten
Antwort

Lesezeichen


Themen-Optionen
Thema bewerten
Thema bewerten:

Forumregeln
Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist aus.
HTML-Code ist aus.

Gehe zu

Ähnliche Themen
Thema Autor Forum Antworten Letzter Beitrag
Sicherheitsproblem mit OpenSSH? Murmeltier Security 1 21.12.2010 16:26
OpenSSH per Rescue-System neu installieren? Dawn Dedizierte Server 4 13.12.2010 19:29
OpenSSH Port Problematik mit Firewall/Proxy/Router man Security 2 22.03.2007 08:08
RHN Errata Alert: Updated OpenSSH packages fix Admin Linux News 0 18.09.2003 22:26


Openssh 7.5p1 mit libressl 2.6.0
Openssh 7.5p1 mit libressl 2.6.0
Openssh 7.5p1 mit libressl 2.6.0 Openssh 7.5p1 mit libressl 2.6.0
Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Search Engine Optimisation provided by DragonByte SEO (Pro) - vBulletin Mods & Addons Copyright © 2017 DragonByte Technologies Ltd.